Configurar proxy en WordPress

Si por azares del destino vuestra conectividad a la web depende de un proxy, todos los servicios de WordPress que necesiten conectividad HTTP no funcionarán a no ser que añadáis estas líneas al archivo de configuración “wp-config.php” (probado en wordpress 3.0) adaptándolas a vuestro entorno:

define('WP_PROXY_HOST', 'damned.proxy.net');
define('WP_PROXY_PORT', '8080');
define('WP_PROXY_USERNAME', 'my_user_name');
define('WP_PROXY_PASSWORD', 'my_password');
define('WP_PROXY_BYPASS_HOSTS', 'localhost, www.example.com');

Odiando Safari

Ya que tengo abierto wordpress, voy a soltar un poco de rabia por Safari. Me gusta y se siente más ligero que Firefox 2 (a ver el 3), pero hay dos bugs (fijo que habrá más) que me están minando la confianza:

  1. Cuando uso el editor visual de WordPress, no me respeta los párrafos. He de editar con otro browser.
  2. Desde que actualicé a la 3.1, no puedo usar el SHIFT en Gmail, ya que me lleva a la línea de subject.
Los dos errores están relacionados con Javascript, y no sé cómo pueden estar sin solución… Si la tenéis (sin pasar a “fairfox”) posteadla!